com.amazonaws.services.cloudfront.model

## Enum MinimumProtocolVersion

- java.lang.Object
- - java.lang.Enum<MinimumProtocolVersion>
  - - com.amazonaws.services.cloudfront.model.MinimumProtocolVersion

All Implemented Interfaces:
  Serializable, Comparable<MinimumProtocolVersion>

    public enum MinimumProtocolVersion
    extends Enum<MinimumProtocolVersion>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`SSLv3`
`TLSv1`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static MinimumProtocolVersion` `fromValue(String value)` Use this in place of valueOf.
`String` `toString()`
`static MinimumProtocolVersion` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static MinimumProtocolVersion[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### SSLv3

    public static final MinimumProtocolVersion SSLv3

#### TLSv1

    public static final MinimumProtocolVersion TLSv1

### Method Detail

#### values

    public static MinimumProtocolVersion[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (MinimumProtocolVersion c : MinimumProtocolVersion.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static MinimumProtocolVersion valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### toString

    public String toString()

Overrides:
  `toString` in class `Enum<MinimumProtocolVersion>`

#### fromValue

    public static MinimumProtocolVersion fromValue(String value)

Use this in place of valueOf.

Parameters:
  `value` - real value
Returns:
  MinimumProtocolVersion corresponding to the value